Alterar versão do Java



  • Olá pessoal,

    O Maker 2.6 quando instalado, instala a versão 1.5 do Java e utiliza essa versão para executar o Webrun.

    Eu posso utilizar o Webrun para executar a versão 1.7 do Java? Se sim como posso fazer a alteração?


  • [quote="polianomartini"]Olá pessoal,

    O Maker 2.6 quando instalado, instala a versão 1.5 do Java e utiliza essa versão para executar o Webrun.

    Eu posso utilizar o Webrun para executar a versão 1.7 do Java? Se sim como posso fazer a alteração?[/quote] Não. Na versão 2.6 não existia suporte a versão 1.6/1.7 do Java. Este suporte passou a existir com as versões 2.7/3 e ainda assim é necessário uma versão do Webrun denominada JRE6.

    Esta versão poderá ser obtida nos links http://forum.softwell.com.br/viewtopic.php?f=8&t=1877 ou http://forum.softwell.com.br/viewtopic.php?f=8&t=1652


  • Estou agora com a versão 2.7, o webrun é a versão 2.7.0.51.

    Preciso utilizar a versão para JRE6, já fiz o download do arquivo webrun.war e coloquei na pasta webapps, mas quando inicializo o servidor, não consigo carregar o sistema, aparecendo a mensagem do tomcat "HTTP Status 503 - This application is not currently available".

    O tomcat é a versão 6.0.18, preciso fazer alguma configuração?


  • [quote="polianomartini"]Estou agora com a versão 2.7, o webrun é a versão 2.7.0.51.

    Preciso utilizar a versão para JRE6, já fiz o download do arquivo webrun.war e coloquei na pasta webapps, mas quando inicializo o servidor, não consigo carregar o sistema, aparecendo a mensagem do tomcat "HTTP Status 503 - This application is not currently available".

    O tomcat é a versão 6.0.18, preciso fazer alguma configuração?[/quote] Não. Após instalar o Tomcat e apontar para o JDK correto (isso é feito no momento da instalação), é só colocar o .war para deploy.

    Verifique os logs do tomcat para ver o real problema. (Catalina-out, std-err)


  • Consegui resolver!

    Segundo o suporte, essa versão do webrun deve ser colocado para rodar no Tomcat 7, então criei uma nova instância, coloquei o arquivo webrun.war JRE6 em webapps, e adicionei o arquivo wfre, agora está correto.

    Obrigado!

Log in to reply